curl --request PUT \
--url https://api.errorgolf.com/v1/refresh \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.errorgolf.com/v1/refresh"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.errorgolf.com/v1/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJjb21wYW55X2lkIjoiNjg1ZjViZGU5MjhkN2FhZDMyOWZhYmQ2IiwiZW1haWwiOiJhY0B0ZXN0LmNvbSIsImV4cCI6MTc1MTc2NDYwOSwiaWF0IjoxNzUxNTA1NDA5fQ.m5xD1XYrQL9uFSJz9A3DRwXIXsEcTojTyAbiNHajHck",
"ws_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJjb21wYW55X2lkIjoiNjg1ZjViZGU5MjhkN2FhZDMyOWZhYmQ2IiwiZW1haWwiOiJhY0B0ZXN0LmNvbSIsImV4cCI6MTc1MTc2NDYwOSwiaWF0IjoxNzUxNTA1NDA5fQ.m5xD1XYrQL9uFSJz9A3DRwXIXsEcTojTyAbiNHajHck",
"token_type": "bearer",
"expires_in": 604800
}{
"error": "token_expired",
"message": "Your authentication token has expired. Please login again."
}{
"error": "internal_server_error",
"message": "Something went wrong on our end. We're looking into it."
}Refresh Your Token
Extend Your Session
Get a fresh JWT token before your current one expires and locks you out. Tokens are like milk - they go bad if you don’t refresh them.
Authorizations
JWT token from /token endpoint
Response
Fresh token delivered. Your session lives on.
Authentication token response
JWT bearer token for API authentication
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJjb21wYW55X2lkIjoiNjg1ZjViZGU5MjhkN2FhZDMyOWZhYmQ2IiwiZW1haWwiOiJhY0B0ZXN0LmNvbSIsImV4cCI6MTc1MTc2NDYwOSwiaWF0IjoxNzUxNTA1NDA5fQ.m5xD1XYrQL9uFSJz9A3DRwXIXsEcTojTyAbiNHajHck"
JWT bearer token for Websocket authentication
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJjb21wYW55X2lkIjoiNjg1ZjViZGU5MjhkN2FhZDMyOWZhYmQ2IiwiZW1haWwiOiJhY0B0ZXN0LmNvbSIsImV4cCI6MTc1MTc2NDYwOSwiaWF0IjoxNzUxNTA1NDA5fQ.m5xD1XYrQL9uFSJz9A3DRwXIXsEcTojTyAbiNHajHck"
Token type (always 'bearer' because that's how JWT rolls)
"bearer"
Token validity period in seconds (countdown to re-authentication)
604800

